/*!*****************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./frontend/node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].use[1]!./frontend/node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[1].use[2]!./frontend/node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[1].use[3]!./web/app/themes/thuisbakkerswinkel/components/accordion/src/accordion.scss ***!
  \*****************************************************************************************************************************************************************************************************************************************************************************************************************************/
.twz-accordion {
  --accordion-bg: transparent;
  --accordion-color: var(--text-color-dark, var(--brown-900));
  --accordion-border-color: var(--brown-900);
  --accordion-maxwidth: 91rem;
  --accordion-gap: 0;
  --accordion-title-size: var(--fs-16);
  --accordion-content-gap: 1.2rem;
  --accordion-padding-block: 1.2rem;
  --accordion-padding-block-open-end: 2.2rem;
  --accordion-padding-inline-end: 0.9rem;
  --accordion-chevron-size-inline: 1.1rem;
  --accordion-chevron-size-block: 0.7rem;
  width: min(100%, var(--accordion-maxwidth));
  margin-inline: auto;
  display: flex;
  flex-direction: column;
  gap: var(--accordion-gap);
}
.twz-accordion__heading {
  margin: 0 0 3rem;
}
.twz-accordion__item {
  border-block-end: 0.1rem solid var(--accordion-border-color);
  padding-inline-end: var(--accordion-padding-inline-end);
}
.twz-accordion__item:has(> button[aria-expanded=true]) {
  display: flex;
  flex-direction: column;
  gap: var(--accordion-content-gap);
  padding-block: var(--accordion-padding-block) var(--accordion-padding-block-open-end);
}
.twz-accordion .twz-accordion__toggler {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 1.6rem;
  width: 100%;
  padding-block: var(--accordion-padding-block);
  padding-inline: 0;
  background-color: var(--accordion-bg);
  color: var(--accordion-color);
  border: none;
  font-size: var(--accordion-title-size);
  font-weight: 700;
  text-align: start;
  cursor: pointer;
}
.twz-accordion .twz-accordion__toggler .icon {
  display: inline-flex;
  flex-shrink: 0;
}
.twz-accordion .twz-accordion__toggler svg {
  inline-size: var(--accordion-chevron-size-inline);
  block-size: var(--accordion-chevron-size-block);
  transition: rotate 0.3s ease;
  rotate: 0deg;
}
.twz-accordion .twz-accordion__toggler[aria-expanded=true] svg {
  rotate: 180deg;
}
.twz-accordion .twz-accordion__toggler[aria-expanded=true] + section {
  grid-template-rows: 1fr;
}
.twz-accordion__item:has(> .twz-accordion__toggler[aria-expanded=true]) .twz-accordion__toggler {
  padding-block: 0;
}
.twz-accordion__item > section {
  display: grid;
  grid-template-rows: 0fr;
  background-color: var(--accordion-bg);
  transition: grid-template-rows 0.3s ease;
}
@media (prefers-reduced-motion: reduce) {
  .twz-accordion__item > section {
    transition: none;
  }
}
.twz-accordion__item > section > .twz-accordion__content {
  overflow: hidden;
}
.twz-accordion__item > section > .twz-accordion__content > *:first-child {
  margin-block-start: 0;
}
.twz-accordion__item > section > .twz-accordion__content > *:last-child {
  margin-block-end: 0;
}
